org.deidentifier.arx.aggregates

## Class StatisticsSummary<T>

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsSummary<T>

    public class StatisticsSummary<T>
    extends java.lang.Object

A base class for summary statistics

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getArithmeticMeanAsDouble()` Returns the mean
`java.lang.String` `getArithmeticMeanAsString()` Returns the mean
`T` `getArithmeticMeanAsValue()` Returns the mean
`double` `getGeometricMeanAsDouble()` Returns the geometric mean
`java.lang.String` `getGeometricMeanAsString()` Returns the geometric mean
`T` `getGeometricMeanAsValue()` Returns the geometric mean
`double` `getKurtosisAsDouble()` Returns the kurtosis
`java.lang.String` `getKurtosisAsString()` Returns the kurtosis
`T` `getKurtosisAsValue()` Returns the kurtosis
`java.lang.String` `getMaxAsString()` Returns the max
`T` `getMaxAsValue()` Returns the max
`java.lang.String` `getMedianAsString()` Returns the median
`T` `getMedianAsValue()` Returns the median
`java.lang.String` `getMinAsString()` Returns the min
`T` `getMinAsValue()` Returns the min
`java.lang.String` `getModeAsString()` Returns the mode
`T` `getModeAsValue()` Returns the mode
`int` `getNumberOfDistinctValuesAsInt()` Returns the number of distinct values
`java.lang.String` `getNumberOfDistinctValuesAsString()` Returns the number of distinct values
`int` `getNumberOfMeasuresAsString()` Returns the number of measures
`double` `getPopulationVarianceAsDouble()` Returns the population variance
`java.lang.String` `getPopulationVarianceAsString()` Returns the population variance
`T` `getPopulationVarianceAsValue()` Returns the population variance
`double` `getRangeAsDouble()` Returns the range
`java.lang.String` `getRangeAsString()` Returns the range
`T` `getRangeAsValue()` Returns the range
`double` `getSampleVarianceAsDouble()` Returns the sample variance
`java.lang.String` `getSampleVarianceAsString()` Returns the sample variance
`T` `getSampleVarianceAsValue()` Returns the sample variance
`DataScale` `getScale()` Returns the scale of measure
`double` `getStdDevAsDouble()` Returns the standard deviation
`java.lang.String` `getStdDevAsString()` Returns the standard deviation
`T` `getStdDevAsValue()` Returns the standard deviation
`boolean` `isArithmeticMeanAvailable()` Returns whether the following measure is available: mean
`boolean` `isGeometricMeanAvailable()` Returns whether the following measure is available: geometric mean
`boolean` `isKurtosisAvailable()` Returns whether the following measure is available: kurtosis
`boolean` `isMaxAvailable()` Returns whether the following measure is available: max
`boolean` `isMedianAvailable()` Returns whether the following measure is available: median
`boolean` `isMinAvailable()` Returns whether the following measure is available: min
`boolean` `isModeAvailable()` Returns whether the following measure is available: mode
`boolean` `isPopulationVarianceAvailable()` Returns whether the following measure is available: population variance
`boolean` `isRangeAvailable()` Returns whether the following measure is available: range
`boolean` `isSampleVarianceAvailable()` Returns whether the following measure is available: sample variance
`boolean` `isStdDevAvailable()` Returns whether the following measure is available: std. dev
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getArithmeticMeanAsDouble

    public double getArithmeticMeanAsDouble()

Returns the mean

Returns:

#### getArithmeticMeanAsString

    public java.lang.String getArithmeticMeanAsString()

Returns the mean

Returns:

#### getArithmeticMeanAsValue

    public T getArithmeticMeanAsValue()

Returns the mean

Returns:

#### getGeometricMeanAsDouble

    public double getGeometricMeanAsDouble()

Returns the geometric mean

Returns:

#### getGeometricMeanAsString

    public java.lang.String getGeometricMeanAsString()

Returns the geometric mean

Returns:

#### getGeometricMeanAsValue

    public T getGeometricMeanAsValue()

Returns the geometric mean

Returns:

#### getKurtosisAsDouble

    public double getKurtosisAsDouble()

Returns the kurtosis

Returns:

#### getKurtosisAsString

    public java.lang.String getKurtosisAsString()

Returns the kurtosis

Returns:

#### getKurtosisAsValue

    public T getKurtosisAsValue()

Returns the kurtosis

Returns:

#### getMaxAsString

    public java.lang.String getMaxAsString()

Returns the max

Returns:

#### getMaxAsValue

    public T getMaxAsValue()

Returns the max

Returns:

#### getMedianAsString

    public java.lang.String getMedianAsString()

Returns the median

Returns:

#### getMedianAsValue

    public T getMedianAsValue()

Returns the median

Returns:

#### getMinAsString

    public java.lang.String getMinAsString()

Returns the min

Returns:

#### getMinAsValue

    public T getMinAsValue()

Returns the min

Returns:

#### getModeAsString

    public java.lang.String getModeAsString()

Returns the mode

Returns:

#### getModeAsValue

    public T getModeAsValue()

Returns the mode

Returns:

#### getNumberOfDistinctValuesAsInt

    public int getNumberOfDistinctValuesAsInt()

Returns the number of distinct values

Returns:

#### getNumberOfDistinctValuesAsString

    public java.lang.String getNumberOfDistinctValuesAsString()

Returns the number of distinct values

Returns:

#### getNumberOfMeasuresAsString

    public int getNumberOfMeasuresAsString()

Returns the number of measures

Returns:

#### getPopulationVarianceAsDouble

    public double getPopulationVarianceAsDouble()

Returns the population variance

Returns:

#### getPopulationVarianceAsString

    public java.lang.String getPopulationVarianceAsString()

Returns the population variance

Returns:

#### getPopulationVarianceAsValue

    public T getPopulationVarianceAsValue()

Returns the population variance

Returns:

#### getRangeAsDouble

    public double getRangeAsDouble()

Returns the range

Returns:

#### getRangeAsString

    public java.lang.String getRangeAsString()

Returns the range

Returns:

#### getRangeAsValue

    public T getRangeAsValue()

Returns the range

Returns:

#### getSampleVarianceAsDouble

    public double getSampleVarianceAsDouble()

Returns the sample variance

Returns:

#### getSampleVarianceAsString

    public java.lang.String getSampleVarianceAsString()

Returns the sample variance

Returns:

#### getSampleVarianceAsValue

    public T getSampleVarianceAsValue()

Returns the sample variance

Returns:

#### getScale

    public DataScale getScale()

Returns the scale of measure

Returns:

#### getStdDevAsDouble

    public double getStdDevAsDouble()

Returns the standard deviation

Returns:

#### getStdDevAsString

    public java.lang.String getStdDevAsString()

Returns the standard deviation

Returns:

#### getStdDevAsValue

    public T getStdDevAsValue()

Returns the standard deviation

Returns:

#### isArithmeticMeanAvailable

    public boolean isArithmeticMeanAvailable()

Returns whether the following measure is available: mean

Returns:

#### isGeometricMeanAvailable

    public boolean isGeometricMeanAvailable()

Returns whether the following measure is available: geometric mean

Returns:

#### isKurtosisAvailable

    public boolean isKurtosisAvailable()

Returns whether the following measure is available: kurtosis

Returns:

#### isMaxAvailable

    public boolean isMaxAvailable()

Returns whether the following measure is available: max

Returns:

#### isMedianAvailable

    public boolean isMedianAvailable()

Returns whether the following measure is available: median

Returns:

#### isMinAvailable

    public boolean isMinAvailable()

Returns whether the following measure is available: min

Returns:

#### isModeAvailable

    public boolean isModeAvailable()

Returns whether the following measure is available: mode

Returns:

#### isPopulationVarianceAvailable

    public boolean isPopulationVarianceAvailable()

Returns whether the following measure is available: population variance

Returns:

#### isRangeAvailable

    public boolean isRangeAvailable()

Returns whether the following measure is available: range

Returns:

#### isSampleVarianceAvailable

    public boolean isSampleVarianceAvailable()

Returns whether the following measure is available: sample variance

Returns:

#### isStdDevAvailable

    public boolean isStdDevAvailable()

Returns whether the following measure is available: std. dev

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`